gtkmm: Gtk::DrawingArea Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::DrawingArea Class Reference
Widgets

A widget for custom user interface elements. More...

Inheritance diagram for Gtk::DrawingArea:
[legend]
Collaboration diagram for Gtk::DrawingArea:
[legend]

List of all members.

## Public Member Functions
virtual | ~DrawingArea ()
GtkDrawingArea* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkDrawingArea* | gobj () const
| Provides access to the underlying C GtkObject.
| DrawingArea ()
## Related Functions
(Note that these are not member functions.)
Gtk::DrawingArea* | wrap (GtkDrawingArea* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A widget for custom user interface elements.

## Constructor & Destructor Documentation

virtual Gtk::DrawingArea::~DrawingArea | ( |  | ) | `[virtual]`

Gtk::DrawingArea::DrawingArea | ( |  | ) |

## Member Function Documentation

GtkDrawingArea* Gtk::DrawingArea::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Widget.

Reimplemented in Gtk::Spinner, and Gtk::Curve.

const GtkDrawingArea* Gtk::DrawingArea::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Widget.

Reimplemented in Gtk::Spinner, and Gtk::Curve.

## Friends And Related Function Documentation

Gtk::DrawingArea* wrap | ( | GtkDrawingArea * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/drawingarea.h